package io.zipcoder.interfaces;

public class Instructor extends Person implements Teacher {

    public Instructor(long ID, String name) {
        super(ID, name);
    }

    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }

    public void lecture(Learner[] learners, double numberOfHours) {
        for (Learner learner : learners) {
            double numberOfHoursPerLearner = (numberOfHours / learners.length);
            learner.learn(numberOfHoursPerLearner);
        }
    }

}
