package io.zipcoder.interfaces;

import java.lang.reflect.Array;
import java.util.ArrayList;

public class Instructors extends People<Instructor> {

    private final static Instructors instance = new Instructors();

    public ArrayList<Instructor> instructorsList;

    private Instructors() {
        instructorsList = new ArrayList<Instructor>();

        for (Educator educator : Educator.values()) {
        final Instructor instructor = new Instructor(educator.getId(), educator.getName());
        instructorsList.add(instructor);
        }
    }

    public static Instructors getInstance() {
        return instance;
    }

}
