package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentTest {

    Student student = new Student(1, "Baby Code");

    @Test
    public void testImplementation() {
        boolean expected = true;
        boolean actual = student instanceof Learner;

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testInheritance() {
        boolean expected = true;
        boolean actual = student instanceof Person;

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testLearn() {
        student.learn(5);

        double expected = 5;
        double actual = student.getTotalStudyTime();

        Assert.assertEquals(expected, actual, 0.1);
    }

}
