package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentsTest {

    Students instance1 = Students.getInstance();
    Students instance2 = Students.getInstance();

    @Test
    public void testSingletonInstance_Students() {
        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void testInitializationSetup_Students() {
        int expected = 39;
        int actual = instance1.studentList.size();

        Assert.assertEquals(expected, actual);
    }

}
