package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorsTest {

    Instructors instance1 = Instructors.getInstance();
    Instructors instance2 = Instructors.getInstance();

    @Test
    public void testSingletonInstance_Instructors() {
        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void testInitializationSetup_Instructors() {
        int expected = 6;
        int actual = instance1.instructorsList.size();

        Assert.assertEquals(expected, actual);

    }

}
