package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class ZipCodeWilmingtonTest {

    ZipCodeWilmington zipCode = ZipCodeWilmington.getInstance();
    Instructor instructor = new Instructor(10, "Professor Code");

    @Test
    public void testHostLecture() {
        Student ned = zipCode.students.studentList.get(0);
        double originalStudyTime = ned.getTotalStudyTime();

        zipCode.hostLecture(instructor, 78);

        double expected = 2;
        double actual = ned.getTotalStudyTime() - originalStudyTime;

        Assert.assertEquals(expected, actual,  1e-8);
    }

    @Test
    public void testHostLecture_ID(){
        Student ned = zipCode.students.studentList.get(0);
        double originalStudyTime = ned.getTotalStudyTime();

        zipCode.hostLecture(44, 78);

        double expected = 2;
        double actual = ned.getTotalStudyTime() - originalStudyTime;

        Assert.assertEquals(expected, actual,  1e-8);
    }

    @Test
    public void testHostLecture_Educator(){
        Student ned = zipCode.students.studentList.get(0);
        double originalStudyTime = ned.getTotalStudyTime();

        zipCode.hostLecture(Educator.KRIS, 78);

        double expected = 2;
        double actual = ned.getTotalStudyTime() - originalStudyTime;

        Assert.assertEquals(expected, actual,  1e-8);
    }

}
